<?php
global $art_options;

if (WP_VERSION < 3.0) {
	$art_options = array (
		array(	
		'name'	=>	__('Footer'),
		'type'	=>	'heading'
		),
		array(	
		'id'	=>	'art_footer_content',
		'name'	=>	__('Footer content'),
		'desc'	=>	sprintf(__('<strong>XHTML:</strong> You can use these tags: <code>%s</code>'), 'a, abbr, acronym, em, b, i, strike, strong, span') . '<br />'
	   			. sprintf(__('<strong>ShortTags:</strong><code>%s</code>'), '[year], [top], [rss], [login-link], [blog-title], [xhtml], [css]'),
		'type'	=>	'textarea'
		)
	);
	return;
}

$art_menu_source_options = array(
	'Pages'	=>	'Страницы',
	'Categories'	=>	'Рубрики'
);

$art_sidebars_style_options = array(
	'block'	=>	'Блочный стиль',
	'post'	=>	'Стиль записи',
	'simple'	=>	'Простой текст'
);

global $art_options;
$art_options = array (
	array(	
	'name'	=>	__('Header'),
	'type'	=>	'heading'
	),
	array(	
	'id'	=>	'art_header_show_headline',
	'name'	=>	__('Показывать заголовок'),
	'desc'	=>	__('Yes'),
	'type'	=>	'checkbox'
	),
	array(	
	'id'	=>	'art_header_show_slogan',
	'name'	=>	__('Показывать слоган'),
	'desc'	=>	__('Yes'),
	'type'	=>	'checkbox'
	),
	array(	
	'name'	=>	__('Navigation Menu'),
	'type'	=>	'heading'
	),
	array(	
	'id'	=>	'art_menu_showHome',
	'name'	=>	__('Показывать ссылку на Главную'),
	'desc'	=>	__('Yes'),
	'type'	=>	'checkbox'
	),
	array(	
	'id'	=>	'art_menu_homeCaption',
	'name'	=>	__('Текст для названия Главной'),
	'type'	=>	'text'
	),
	array(	
	'id'	=>	'art_menu_highlight_active_categories',
	'name'	=>	__('Highlight active categories'),
	'desc'	=>	__('Yes'),
	'type'	=>	'checkbox'
	),
	
	array(	
	'id'	=>	'art_menu_trim_title',
	'name'	=>	__('Подравнять длинные пункты меню'),
	'desc'	=>	__('Yes'),
	'type'	=>	'checkbox'
	),	
	array(	
	'id'	=>	'art_menu_trim_len',
	'name'	=>	__('Предел каждого элемента в [N] символов'),
	'desc'	=>	__('(символов).'),
	'type'	=>	'numeric'
	),
	
	array(	
	'id'	=>	'art_submenu_trim_len',
	'name'	=>	__('Предел каждого подэлемента в [N] символов'),
	'desc'	=>	__('(символов).'),
	'type'	=>	'numeric'
	),
	
	array(	
	'id'	=>	'art_menu_source',
	'name'	=>	__('Путь к меню по умолчанию'),
	'type'	=>	'select',
	'options'	=>	$art_menu_source_options,
	'desc'	=>	__('Отображается, когда Внешний вид > Меню > Главное меню не отображается'),
	),
	array(	
	'name'	=>	__('Posts'),
	'type'	=>	'heading'
	),

	array(	
	'id'	=>	'art_home_top_posts_navigation',
	'name'	=>	__('Показать навигационные ссылки вверху страницы при просмотре страницы?'),
	'desc'	=>	__('Yes'),
	'type'	=>	'checkbox'
	),	

	array(	
	'id'	=>	'art_top_posts_navigation',
	'name'	=>	__('Показать навигационные ссылки в верхней части страницы сообщения?'),
	'desc'	=>	__('Yes'),
	'type'	=>	'checkbox'
	),

	array(	
	'id'	=>	'art_bottom_posts_navigation',
	'name'	=>	__('Показывать навигационные ссылки меню внизу страницы'),
	'desc'	=>	__('Yes'),
	'type'	=>	'checkbox'
	),

	array(	
	'id'	=>	'art_top_single_navigation',
	'name'	=>	__('Показывать ссылки на другие записи вверху при просмотре отдельной записи?'),
	'desc'	=>	__('Yes'),
	'type'	=>	'checkbox'
	),
	array(	
	'id'	=>	'art_bottom_single_navigation',
	'name'	=>	__('Показывать навигационные ссылки внизу при просмотре отдельной записи?'),
	'desc'	=>	__('Yes'),
	'type'	=>	'checkbox'
	),
	array(	
	'id'	=>	'art_single_navigation_trim_title',
	'name'	=>	__('Подравнять ссылки при просмотре отдельной записи?'),
	'desc'	=>	__('Yes'),
	'type'	=>	'checkbox'
	),	
	array(	
	'id'	=>	'art_single_navigation_trim_len',
	'name'	=>	__('Предел каждого элемента в [N] символов'),
	'desc'	=>	__('(characters).'),
	'type'	=>	'numeric'
	),
	
	array(	
	'name'	=>	__('Миниатюра'),
	'type'	=>	'heading'
	),
	array(	
	'id'	=>	'art_metadata_thumbnail_auto',
	'name'	=>	__('Использовать автоматическое добавление миниатюры?'),
	'desc'	=>	__('Миниатюры генерируются автоматически из первой картинки, добавленной в запись'),
	'type'	=>	'checkbox'
	),
	array(	
	'id'	=>	'art_metadata_thumbnail_width',
	'name'	=>	__('Ширина миниатюры'),
	'desc'	=>	__('(px)'),
	'type'	=>	'numeric'
	),
	array(	
	'id'	=>	'art_metadata_thumbnail_height',
	'name'	=>	__('Высота миниатюры'),
	'desc'	=>	__('(px)'),
	'type'	=>	'numeric'
	),
	array(	
	'name'	=>	__('Отрывок'),
	'type'	=>	'heading'
	),
	array(	
	'id'	=>	'art_metadata_excerpt_auto',
	'name'	=>	__('Использовать отрывок?'),
	'desc'	=>	__('Генерируется автоматически если вы не используете тег more в записи'),
	'type'	=>	'checkbox'
	),
	array(	
	'id'	=>	'art_metadata_excerpt_words',
	'name'	=>	__('Длина отрывка'),
	'desc'	=>	__('(слов)'),
	'type'	=>	'numeric'
	),
	array(	
	'id'	=>	'art_metadata_excerpt_min_remainder',
	'name'	=>	__('Баланс отрывка'),
	'desc'	=>	__('(слов)'),
	'type'	=>	'numeric'
	),
	array(	
	'id'	=>	'art_metadata_excerpt_use_tag_filter',
	'name'	=>	__('Применить теги фильтра для отрывка?'),
	'desc'	=>	__('Yes'),
	'type'	=>	'checkbox'
	),
	array(	
	'id'	=>	'art_metadata_excerpt_allowed_tags',
	'name'	=>	__('Разрешенные теги'),
	'desc'	=>	__('Использовать когда "Фильтр тега для отрывка" активен'),
	'type'	=>	'widetext'
	),
	array(	
	'name'	=>	__('Pages'),
	'type'	=>	'heading'
	),
	array(	
	'id'	=>	'art_show_random_posts_on_404_page',
	'name'	=>	__('Показать случайные записи на 404 странице?'),
	'desc'	=>	__('Yes'),
	'type'	=>	'checkbox'
	),
	array(	
	'id'	=>	'art_show_random_posts_title_on_404_page',
	'name'	=>	__('Заголовок для случайных записей'),
	'type'	=>	'text',
	'desc'	=>	__('Показать когда "Случайные записи на 404 странице" активны')
	),
	array(	
	'id'	=>	'art_show_tags_on_404_page',
	'name'	=>	__('Показать теги на 404 странице'),
	'desc'	=>	__('Yes'),
	'type'	=>	'checkbox'
	),
	array(	
	'id'	=>	'art_show_tags_title_on_404_page',
	'name'	=>	__('Заголовок для тегов'),
	'type'	=>	'text',
	'desc'	=>	__('Использовать когда "Показать теги на 404 странице" активен')
	),
	array(	
	'name'	=>	__('Comments'),
	'type'	=>	'heading',
	),
	array(	
	'id'	=>	'art_comment_use_smilies',
	'name'	=>	__('Включить смайлики в комментариях?'),
	'desc'	=>	__('Yes'),
	'type'	=>	'checkbox'
	),
	array(	
	'name'	=>	__('Сайдбары'),
	'type'	=>	'heading',
	'desc' => __('Стиль виджетов по умолчанию')
	),
	array(	
	'id'	=>	'art_sidebars_style_default',
	'name'	=>	__('Primary sidebar'),
	'type'	=>	'select',
	'options'	=>	$art_sidebars_style_options
	),
	array(	
	'id'	=>	'art_sidebars_style_secondary',
	'name'	=>	__('Secondary sidebar'),
	'type'	=>	'select',
	'options'	=>	$art_sidebars_style_options
	),
	array(	
	'id'	=>	'art_sidebars_style_top',
	'name'	=>	__('Top sidebars'),
	'type'	=>	'select',
	'options'	=>	$art_sidebars_style_options
	),
	array(	
	'id'	=>	'art_sidebars_style_bottom',
	'name'	=>	__('Bottom sidebars'),
	'type'	=>	'select',
	'options'	=>	$art_sidebars_style_options
	),
	array(	
	'id'	=>	'art_sidebars_style_footer',
	'name'	=>	__('Footer sidebars'),
	'type'	=>	'select',
	'options'	=>	$art_sidebars_style_options
	),
	array(	
	'name'	=>	__('Footer'),
	'type'	=>	'heading'
	),
	array(	
	'id'	=>	'art_footer_content',
	'name'	=>	__('Текст в подвале'),
	'desc'	=>	sprintf(__('<strong>XHTML:</strong> You can use these tags: <code>%s</code>'), 'a, abbr, acronym, em, b, i, strike, strong, span') . '<br />'
	   		. sprintf(__('<strong>ShortTags:</strong><code>%s</code>'), '[year], [top], [rss], [login-link], [blog-title], [xhtml], [css]'),
	'type'	=>	'textarea'
	),
	array(	
	'name'	=>	__('Реклама'),
	'type'	=>	'heading',
	'desc' => sprintf(__('Используйте шорткод %s для вставки баннеров рекламы в записи, текстовые виджеты или подвал'),'<code>[ad]</code>') . '<br/>'
		. '<span>' . __('Пример:') .'</span><code>[ad code=4 align=center]</code>'
	),
	array(	
	'id'	=>	'art_ad_code_1',
	'name'	=>	sprintf(__('Добавить code #%s:'),1),
	'type'	=>	'textarea'
	),
	array(	
	'id'	=>	'art_ad_code_2',
	'name'	=>	sprintf(__('Добавить code #%s:'),2),
	'type'	=>	'textarea'
	),
	array(	
	'id'	=>	'art_ad_code_3',
	'name'	=>	sprintf(__('Добавить code #%s:'),3),
	'type'	=>	'textarea'
	),
	array(	
	'id'	=>	'art_ad_code_4',
	'name'	=>	sprintf(__('Добавить code #%s:'),4),
	'type'	=>	'textarea'
	),
	array(	
	'id'	=>	'art_ad_code_5',
	'name'	=>	sprintf(__('Добавить code #%s:'),5),
	'type'	=>	'textarea'
	)
);

global $art_page_meta_options;
$art_page_meta_options = array (
	array(	
	'id'	=>	'art_show_in_menu',
	'name'	=>	__('Show in Menu'),
	'desc'	=>	__('Yes'),
	'type'	=>	'checkbox'
	),
	array(	
	'id'	=>	'art_title_in_menu',
	'name'	=>	__('Title in Menu'),
	'type'	=>	'text'
	),
	array(	
	'id'	=>	'art_show_page_title',
	'name'	=>	__('Show Title on Page'),
	'desc'	=>	__('Yes'),
	'type'	=>	'checkbox'
	)
);

global $art_post_meta_options;
$art_post_meta_options = array(
	array(	
	'id'	=>	'art_show_post_title',
	'name'	=>	__('Show Title on Single Page'),
	'desc'	=>	__('Yes'),
	'type'	=>	'checkbox'
	)
);
