<?php get_header(); ?>
<div class="content-layout">
    <div class="content-layout-row">
        <div class="layout-cell sidebar1">
          <?php get_sidebar('default'); ?>
          <div class="cleared"></div>
        </div>
        <div class="layout-cell content">
			<?php 
			  get_sidebar('top'); 
			  
			  global $post;
			  if (have_posts()){
			  	
			  	art_post_wrapper(
			  		array('content' => '<h4 class="box-title">' . sprintf( __( 'Search Results for: %s', THEME_NS ), 
			  				'<span>' . get_search_query() . '</span>' ) . '</h4>' 
			  			));
			  	
			  	if (art_get_option('art_top_posts_navigation')) {
					art_page_navigation();// previous_posts_link | next_posts_link
				}
			  	
				while (have_posts())  
				{
					the_post();
					art_post_wrapper(
						array(
								'id' => art_get_post_id(), 
								'class' => art_get_post_class(),
								'thumbnail' => art_get_post_thumbnail(),
								'title' => '<a href="'.get_permalink($post->ID).'" rel="bookmark" title="'.get_the_title().'">'.get_the_title().'</a>', 
								'before' => art_get_metadata_icons('date', 'header'),
								'content' => art_get_excerpt(), // 'content' => 'My post content',
								'after' => art_get_metadata_icons('category,tag,comments', 'footer')
						)
					);
				}
				
				if (art_get_option('art_bottom_posts_navigation')) {
					art_page_navigation();// previous_posts_link | next_posts_link
				}
				
			  } else {  
			    
				art_post_wrapper(
					array(
							'title' =>__('Nothing Found', THEME_NS),
							'content' => '<p class="center">' .  __('Sorry, but nothing matched your search criteria. Please try again with some different keywords.', THEME_NS) . '</p>'
										.  BR . art_get_search()
					)
				);
				
			  } 
			  
			  get_sidebar('bottom'); 
			?>
          <div class="cleared"></div>
        </div>
        <div class="layout-cell sidebar2">
          <?php get_sidebar('secondary'); ?>
          <div class="cleared"></div>
        </div>
    </div>
</div>
<div class="cleared"></div>
<?php get_footer();